{
	"name": "plugin/nc-calc-server/column/stock-column/production_order.json",
	"option": {
		"suppress_menu": true,
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "colDef.field === 'pro.can_be_manufactured' && x !== data.pro_can_be_manufactured_old || colDef.field === 'pro.pro_manufacturing_state' && x !== data.calc.manufacturing_state_old"
			}
		}
	},
	"column": [
		{
			"field": "pro.product_id",
			"width": 120,
			"name_fi": "Tuote"
		},
		{
			"field": "pro.production_order_id",
			"width": 140,
			"name_fi": "Tuotantotilaus"
		},
		{
			"field": "pro.production_order_state",
			"width": 140,
			"name_fi": "Työm. tila"
		},
		{
			"field": "pro.amount_to_produce",
			"width": 160,
			"name_fi": "Valmistettava"
		},
		{
			"field": "pro.produced_amount",
			"width": 160,
			"name_fi": "Valmistettu"
		},
		{
			"field": "pro.failed_amount",
			"width": 160,
			"name_fi": "Hylätty"
		}
	],
	"column-": [
		{
			"variable": "pro_can_be_manufactured_old",
			"width": 160,
			"name_fi": "Valmistettavissa",
			"format": "%'.0f"
		},
		{
			"field": "pro.can_be_manufactured",
			"width": 16065,
			"name_fi": "Valmistettavissa 2",
			"format": "%'.0f"
		},
		{
			"variable": "calc.manufacturing_state_old",
			"width": 160,
			"name_fi": "Valmistustila",
			"format": "%'.0f"
		},
		{
			"field": "pro.json_data.manufacturing_state",
			"width": 160,
			"name_fi": "Valmistustila 2",
			"format": "%'.0f"
		}
	]
}
